Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update a specific secret by id
cURL
curl --request PUT \ --url https://api.rootly.com/v1/secrets/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/vnd.api+json' \ --data ' { "data": { "attributes": { "name": "<string>", "secret": "<string>", "hashicorp_vault_mount": "secret", "hashicorp_vault_path": "<string>", "hashicorp_vault_version": 0 } } } '
{ "data": { "id": "<string>", "attributes": { "name": "<string>", "created_at": "<string>", "updated_at": "<string>", "secret": "<string>", "hashicorp_vault_mount": "<string>", "hashicorp_vault_path": "<string>", "hashicorp_vault_version": 123 } } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Show child attributes
secret updated
Was this page helpful?
Contact support